Configuration of Flash API for F28335

조회 수: 6(최근 30일)
Hassan Abouobaida
Hassan Abouobaida 2020년 6월 4일
To configure Matlab with F28335, Using the CheckEnvsetup command, I got the following response:
1. Checking CCS (Code Composer Studio) version
Required version: 3.3.82.13
Required for : Automation and Code Generation
Your Version : 3.3.82.13
2. Checking CGT (Texas Instruments C2000 Code Generation Tools) version
Required version: 5.2.1
Required for : Code generation
Your Version : 5.2.1
3. Checking DSP/BIOS (Real Time Operating System) version
Required version: 5.33.05
Required for : Real-Time Data Exchange (RTDX)
Your Version : 5.33.05
4. Checking Flash Tools (TMS320C28335 Flash APIs) version
Required version: 2.10
Required for : Flash Programming
Warning: Index exceeds matrix dimensions.
> In C:\MATLABB\toolbox\idelink\extensions\ticcs\envchecker\checkEnvSetup_private.p>envSetup at 296
In C:\MATLABB\toolbox\idelink\extensions\ticcs\envchecker\checkEnvSetup_private.p>checkEnvSetup_private at 75
In checkEnvSetup at 155
Your Version : NOT FOUND
The required version of Flash Tools is not found in C:\CCStudio_v3.3PLA\C2000Ware_3_02_00_00\libraries\flash_api\f2833x\28335\lib
Following environment variable(s) required for code generation could not be set: ### "FLASH_28335_API_INSTALLDIR"
I indicated the other path of Flash API in controlesuite, but the same answer:
1. Checking CCS (Code Composer Studio) version
Required version: 3.3.82.13
Required for : Automation and Code Generation
Your Version : 3.3.82.13
2. Checking CGT (Texas Instruments C2000 Code Generation Tools) version
Required version: 5.2.1
Required for : Code generation
Your Version : 5.2.1
3. Checking DSP/BIOS (Real Time Operating System) version
Required version: 5.33.05
Required for : Real-Time Data Exchange (RTDX)
Your Version : 5.33.05
4. Checking Flash Tools (TMS320C28335 Flash APIs) version
Required version: 2.10
Required for : Flash Programming
Warning: Index exceeds matrix dimensions.
> In C:\MATLABB\toolbox\idelink\extensions\ticcs\envchecker\checkEnvSetup_private.p>envSetup at 296
In C:\MATLABB\toolbox\idelink\extensions\ticcs\envchecker\checkEnvSetup_private.p>checkEnvSetup_private at 75
In checkEnvSetup at 155
Your Version : NOT FOUND
The required version of Flash Tools is not found in C:\CCStudio_v3.3PLA\controlSUITE\libs\utilities\flash_api\2833x\28335\v210\lib
Following environment variable(s) required for code generation could not be set:
### "FLASH_28335_API_INSTALLDIR"
Please help me to resolve this problem.
Best regards

답변(0개)

범주

Find more on System Composer in Help Center and File Exchange

태그

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by